local emoji_template = " <img class=emoji src=\"/emoji/$NAME.png\" alt=\"$NAME\" title=\":$CODE:\"> "
local emoji_pat = "%$NAME"
local name_pat = "%$CODE"

return {
  ["angry"] = emoji_template:gsub(emoji_pat, "angry"):gsub(name_pat, "angry"),
  
  ["("] = emoji_template:gsub(emoji_pat, "frown"):gsub(name_pat, "("),
  
  ["D"] = emoji_template:gsub(emoji_pat, "grin"):gsub(name_pat, "D"),
  
  ["imp"] = emoji_template:gsub(emoji_pat, "imp"):gsub(name_pat, "imp"),
  
  ["angryimp"] = emoji_template:gsub(emoji_pat, "impangry"):gsub(name_pat, "angryimp"),
  ["impangry"] = emoji_template:gsub(emoji_pat, "impangry"):gsub(name_pat, "impangry"),
  
  ["lobster"] = emoji_template:gsub(emoji_pat, "lobster"):gsub(name_pat, "lobster"),
  
  ["|"] = emoji_template:gsub(emoji_pat, "neutral"):gsub(name_pat, "|"),
  
  ["pensive"] = emoji_template:gsub(emoji_pat, "pensive"):gsub(name_pat, "pensive"),
  
  [")"] = emoji_template:gsub(emoji_pat, "smile"):gsub(name_pat, ")"),
  
  ["smiletear"] = emoji_template:gsub(emoji_pat, "smiletear"):gsub(name_pat, "smiletear"),
  ["crytear"] = emoji_template:gsub(emoji_pat, "smiletear"):gsub(name_pat, "crytear"),
  
  [","] = emoji_template:gsub(emoji_pat, "sob"):gsub(name_pat, ","),
  ["T"] = emoji_template:gsub(emoji_pat, "sob"):gsub(name_pat, "T"),
  ["cry"] = emoji_template:gsub(emoji_pat, "sob"):gsub(name_pat, "cry"),
  ["sob"] = emoji_template:gsub(emoji_pat, "sob"):gsub(name_pat, "sob"),
  
  ["o"] = emoji_template:gsub(emoji_pat, "surprised"):gsub(name_pat, "o"),
  ["O"] = emoji_template:gsub(emoji_pat, "surprised"):gsub(name_pat, "O"),
  
  ["hmm"] = emoji_template:gsub(emoji_pat, "think"):gsub(name_pat, "hmm"),
  ["think"] = emoji_template:gsub(emoji_pat, "think"):gsub(name_pat, "think"),
  ["thinking"] = emoji_template:gsub(emoji_pat, "think"):gsub(name_pat, "thinking"),
  
  ["P"] = emoji_template:gsub(emoji_pat, "tongue"):gsub(name_pat, "P"),
  ["p"] = emoji_template:gsub(emoji_pat, "tongue"):gsub(name_pat, "p"),
  
  ["weary"] = emoji_template:gsub(emoji_pat, "weary"):gsub(name_pat, "weary"),
  
  [";"] = emoji_template:gsub(emoji_pat, "wink"):gsub(name_pat, ";"),
  ["wink"] = emoji_template:gsub(emoji_pat, "wink"):gsub(name_pat, "wink"),
}
